% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_thin.R
\name{plotThin}
\alias{plotThin}
\title{Plot diagnosis for results of thin function}
\usage{
plotThin(
  thinned,
  which = c(1:3),
  ask = prod(par("mfcol")) < length(which) && dev.interactive(),
  ...
)
}
\arguments{
\item{thinned}{A list of data.frames returned by \code{\link{thin}} function.}

\item{which}{if a subset of the plots is required, specify a subset of the numbers 1:3.}

\item{ask}{logical; if \code{TRUE}, the user is asked before each plot, see par(ask=.).}

\item{...}{other parameters to be passed through to plotting functions.}
}
\description{
Three plots (selected by \code{which}) are currently available: 
a plot of the number of repetitions versus the number of maximum records retained
at each repetition ([1] observed values; [2] log transformed) and 
a histogram of the maximun records retained [3].
}
\seealso{
\code{\link{thin.algorithm}}

\code{\link{thin}}
}
